CVE-2007-1797

Impact:
Moderate
Public Date:
2007-03-31
Bugzilla:
235071: CVE-2007-1797 Heap overflow in ImageMagick's DCM and XWD coders

The MITRE CVE dictionary describes this issue as:

Multiple integer overflows in ImageMagick before 6.3.3-5 allow remote attackers to execute arbitrary code via (1) a crafted DCM image, which results in a heap-based overflow in the ReadDCMImage function, or (2) the (a) colors or (b) comments field in a crafted XWD image, which results in a heap-based overflow in the ReadXWDImage function, different issues than CVE-2007-1667.

Find out more about CVE-2007-1797 from the MITRE CVE dictionary dictionary and NIST NVD.

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 4 (ImageMagick) RHSA-2008:0145 2008-04-17
Red Hat Enterprise Linux 3 (ImageMagick) RHSA-2008:0145 2008-04-17
Red Hat Enterprise Linux 2.1 (ImageMagick) RHSA-2008:0165 2008-04-17
Red Hat Enterprise Linux 5 (ImageMagick) RHSA-2008:0145 2008-04-17

Last Modified

CVE description copyright © 2017, The MITRE Corporation

Close

Welcome! Check out the Getting Started with Red Hat page for quick tours and guides for common tasks.